import '../model/iconfont_model.dart';
import '../utils.dart';

class IconFontTemp {
  static String getIconFontTemp(IconFontModel iconFontModel,String clazzName) {
    String itemContents = "";
    for (IconFontModelGlyphs glyph in iconFontModel.glyphs) {
      itemContents += """
  static const IconData ${firstUpper(glyph.fontClass.replaceAll('-', '_'))} = IconData(0x${glyph.unicode}, fontFamily: _family); // ${glyph.name}
""";
    }

    String contents = '''
import 'package:flutter/material.dart';

class $clazzName {
	static const String _family = '${iconFontModel.fontFamily}';
	
	$clazzName._();

$itemContents
}
''';
    return contents;
  }
}
